Bug 981085 - User not aware they can use underscores in username
Summary: User not aware they can use underscores in username
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability (Show other bugs)
(Show other bugs)
Version: development
Hardware: All All
unspecified
low
Target Milestone: ---
: 3.4
Assignee: Damian Jansen
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 01:40 UTC by Damian Jansen
Modified: 2014-07-17 06:39 UTC (History)
2 users (show)

Fixed In Version: 3.4.0-SNAPSHOT (git-server-3.3.1-266-g186898a)
Doc Type: Bug Fix
Doc Text:
Story Points:
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2013-07-04 01:40:57 UTC
Description of problem:
The field help / error does not explicitly state that an underscore can be used, and doesn't say digits can be used until they enter something incorrect.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, always

Steps to Reproduce:
1. Go to zanata/account/register
2. Mouse over the field info (i) icon
3. Tooltip says "should be all in lowercase"
4. Enter in username johnny_5 and click another field (or press tab)
5. Text is acceptable
6. Add a * to the username and press tab
7. Error: lowercase letters and digits (regex "^[a-z\d_]{3,20}$")

Actual results:
The first text is accepted, despite the implication that only lowercase characters can be used.

Expected results:
The tooltip should indicate an acceptable input, like zanatauser_1, so that a user can plainly see that digits and underscores are acceptable.

Additional info:
Also, most developers cannot read a regex, let alone non-technical users.

Comment 1 Sean Flanigan 2013-07-04 03:11:54 UTC
I guess you're right about the regexes.  They look uglier than I realised.  No-one can interpret a regex for sure unless they know which brand of regex it is, and we don't want to start explaining in tooltips that it's actually a Java regex.

We should probably maintain a human-readable description string in the source code, right next to the corresponding validation regex, to help us update them together and keep the description accurate.

And I like the idea of putting in an example string.

Comment 2 Damian Jansen 2014-03-11 04:11:15 UTC
https://github.com/zanata/zanata-server/pull/392

Comment 3 Damian Jansen 2014-05-06 05:36:05 UTC
Verified


Note You need to log in before you can comment on or make changes to this bug.